> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-dao.md).

# event-contracts-dao

### DaoEthereumActionEvent

#### **`afterSignatureCheck`**

Mengembalikan acara DAO dalam format slice.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameter:**

| Nama | Jenis    | Deskripsi                          |
| ---- | -------- | ---------------------------------- |
| body | TvmSlice | Mengandung data seperti functionId |
|      | TvmCell  |                                    |

**Nilai hasil:**

| Jenis    | Deskripsi                                      |
| -------- | ---------------------------------------------- |
| TvmSlice | Acara DAO direpresentasikan dalam format slice |

#### **`close`**

Saat acara dikonfirmasi/ditolak mentransfer kembali bensin yang digunakan untuk memicu acara.

```
function close() public view
```

#### **`getGasBackAddress`**

Alamat pengembalian yang akan menerima bensin yang dikembalikan.

```
function getGasBackAddress() private view returns(address)
```

**Nilai hasil:**

| Nama    | Jenis                                  | Deskripsi                          |
| ------- | -------------------------------------- | ---------------------------------- |
| address | Alamat untuk mengembalikan sisa bensin | Mengandung data seperti functionId |

#### **`getDecodedData`**

Membaca data acara DAO dari ethereum dan alamat pengembalian untuk bensin yang dikembalikan, ID chain dan tindakan yang dilakukan di ETH.

```
function getDecodedData() public view responsible returns (
        address gasBackAddress,
        uint32 chainId,
        ActionStructure.EthActionStripped[] actions)
```

**Nilai hasil:**

| Nama           | Jenis                | Deskripsi                              |
| -------------- | -------------------- | -------------------------------------- |
| gasBackAddress | address              | Alamat untuk mengembalikan sisa bensin |
| chainId        | uint32               | ID chain                               |
| actions        | EthActionStripped\[] | Rangkaian tindakan ethereum            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-dao.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
